package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Stb;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

@Mapper
public interface CodetableMapper {

    int insert(Stb record);

    int updateTxt(Stb record);

    int updateCod(Stb record);

    int delete(Stb record);

    Stb selectByCod(Stb record);

    List<Stb> listFuzzyByRecord(Stb record);

    List<Stb> listFuzzyByRecordOrderBySrt(Stb record);

    List<Stb> listAllByCod(Stb record);

    int getMaxSrtByTblAndCod(Stb record);

    List<Stb> selectList(@Param("tbl") String tbl, @Param("lang") String lang);

    List<Stb> selectByTblOrderBySrtAsc(@Param("tbl") String tbl, @Param("lang") String lang);


}
